Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1596339 - [RFE] enable customizing size for pools
Summary: [RFE] enable customizing size for pools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.1
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: 3.2
Assignee: Rishabh Dave
QA Contact: Vasishta
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1594251 1629656
TreeView+ depends on / blocked
 
Reported: 2018-06-28 16:23 UTC by Yogev Rabl
Modified: 2019-01-03 19:01 UTC (History)
15 users (show)

Fixed In Version: RHEL: ceph-ansible-3.2.0-0.1.rc4.el7cp Ubuntu: ceph-ansible_3.2.0~rc4-2redhat1
Doc Type: Enhancement
Doc Text:
.Pool size can now be customized when deploying clusters with `ceph-ansible` Previously, the `ceph-ansible` utility set the pool size to 3 by default and did not allow the user to change it. However, in Red Hat OpenStack deployments, setting the size of each pool is sometimes required. With this update, the pool size can be customized. To do so, change the `size` setting in the `all.yml` file. Each time, the value of `size` is changed, a new size is applied.
Clone Of:
Environment:
Last Closed: 2019-01-03 19:01:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
File contains playbook log (deleted)
2018-11-17 03:52 UTC, Vasishta
no flags Details


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 3145 None None None 2018-10-01 16:25:20 UTC
Github ceph ceph-ansible pull 3337 None None None 2018-11-20 21:48:02 UTC
Red Hat Product Errata RHBA-2019:0020 None None None 2019-01-03 19:01:39 UTC

Description Yogev Rabl 2018-06-28 16:23:31 UTC
Description of problem:
In earlier versions of Openstack TripleO the puppet Ceph module allowed the operator to set the size of each pool. 
Ceph ansible sets the pool size to 3 by default and doesn't allow to customize it.

Comment 4 leseb 2018-09-25 12:56:29 UTC
Rishabh, once you start this please move this BZ to assigned. Thanks

Comment 10 Ben England 2018-11-08 13:21:46 UTC
what about erasure coded pools, how do you do that?

Comment 11 Vasishta 2018-11-17 03:52:25 UTC
Created attachment 1506617 [details]
File contains playbook log

Failed in task "ceph-client : customize pool size" saying  "'delegate_node' is undefined" -

https://github.com/ceph/ceph-ansible/pull/3145/files#diff-8c864abe7cb1a4c982cda60067561a1aR99

Moving back to ASSIGNED state.

Regards,
Vasishta Shastry
QE, Ceph

Comment 13 leseb 2018-11-20 17:52:05 UTC
Bara, lgtm, thanks.

Comment 14 leseb 2018-11-20 17:56:20 UTC
Maybe you can also add that each time the "size" value is changed, a new size will be applied. Thanks

Comment 16 Ken Dreyer (Red Hat) 2018-11-20 21:38:14 UTC
I don't see an "External Tracker" that points at a GitHub pull request that landed between v3.2.0rc3 and v3.2.0rc4. Would you please tell me which GitHub pull request fixes this BZ in v3.2.0rc4?

Comment 20 Vasishta 2018-12-02 11:35:23 UTC
Working fine with ceph-ansible-3.2.0-0.1.rc5.el7cp.noarch

Moving to VERIFIED state.

Comment 22 errata-xmlrpc 2019-01-03 19:01:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0020


Note You need to log in before you can comment on or make changes to this bug.